Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Please tell me how to get the last version of Thunderbird. I do not like version 78.5 at all. HELP!!!!

  • 3 replies
  • 1 has this problem
  • 104 views
  • Last reply by stefan71

more options

I want to downgrade my Thunderbird to whatever version came before 78.5.0 I do not like the new graphics at all. Please HELP!!!

Chosen solution

try going to the addon manager then typing Phoenity into the search box and add Phoenity icons when presented. Does that help? going backwards is a very very technical and painful process. SO I will explore anything rather than that really.

Read this answer in context 👍 1

All Replies (3)

more options

Chosen Solution

try going to the addon manager then typing Phoenity into the search box and add Phoenity icons when presented. Does that help? going backwards is a very very technical and painful process. SO I will explore anything rather than that really.

Helpful?

more options

Thanks for the response. I will get used to the change. Way too complicated to go back as you alluded to.

Helpful?

more options

I just rolled back to 78.4.3 without any problem as the CalDAV implementation in 78.5.0 had problems connecting to my nextcloud.

Downgrade is super easy (I'm on Win 10):

  • Find a download of 78.4.3 (or the version you'd like to downgrade to)
  • Install in a different path than the 7.5.0 (by chosing custom in the installer)
  • In this new install path start Thunderbird's profile manager (using thunderbird.exe -ProfileManager - see also the help articles to do so)
  • Once the profile manager starts there are two profiles "Default" and "Default-release".
  • Chose "Default" as this is your existing data
  • Done: you are back on 78.4.3

With this downgrade I'm now on 64bit (before it was 32bit still). So this works as well.

Hope this helps.

Modified by stefan71

Helpful?

Ask a question

You must log in to your account to reply to posts. Please start a new question, if you do not have an account yet.